=== modified file 'doc/en/admin-guide/other-setups.txt'
--- doc/en/admin-guide/other-setups.txt	2009-12-07 21:51:01 +0000
+++ doc/en/admin-guide/other-setups.txt	2010-09-23 10:56:44 +0000
@@ -6,8 +6,8 @@
 
 Bazaar can also serve branches over protocols that know nothing about Bazaar's
 specific needs.  These are called "dumb servers" to distinguish them from
-Bazaar's native protocol.  Currently HTTP, FTP, SFTP and HTTP+WebDAV can be
-used to read branches remotely.  FTP, SFTP and HTTP+WebDAV can be used for
+Bazaar's native protocol.  Currently HTTP, HTTPS, FTP, SFTP and HTTP+WebDAV can
+be used to read branches remotely.  FTP, SFTP and HTTP+WebDAV can be used for
 writing as well.  To use any of these protocols, it is just necessary to
 provide access to the server's filesystem under ``/srv/bzr``.
 
@@ -33,14 +33,14 @@
 Smart server over HTTP(S)
 -------------------------
 
-Bazaar can use its native protocol with HTTP requests.  Since HTTP is a network
-protocol that is available on many networks, this can be a good option where
-SSH access is not possible.  Another benefit of this setup is that all of the
-authentication and access control methods available to the HTTP server (basic,
-LDAP, ActiveDirectory, etc.) are then available to control access to Bazaar
-branches.  More information about setting up this type of access using Apache
-and FastCGI or mod_python or WSGI is in the `smart server section of the User's
-Guide <../user-guide/http_smart_server.html>`_.
+Bazaar can use its native protocol with HTTP or HTTPS requests.  Since HTTP is
+a network protocol that is available on many networks, this can be a good
+option where SSH access is not possible.  Another benefit of this setup is that
+all of the authentication and access control methods available to the HTTP
+server (basic, LDAP, ActiveDirectory, etc.) are then available to control
+access to Bazaar branches.  More information about setting up this type of
+access using Apache and FastCGI or mod_python or WSGI is in the `smart server
+section of the User's Guide <../user-guide/http_smart_server.html>`_.
 
 Direct Smart Server Access
 --------------------------

=== modified file 'doc/en/user-guide/branching_a_project.txt'
--- doc/en/user-guide/branching_a_project.txt	2010-09-27 19:31:45 +0000
+++ doc/en/user-guide/branching_a_project.txt	2010-10-01 23:09:27 +0000
@@ -20,7 +20,8 @@
   \sftp://            Access using SFTP (most SSH servers provide SFTP).
   \bzr://             Fast access using the Bazaar smart server.
   \ftp://             Access using passive FTP.
-  \http://            Read-only access to branches exported by a web server.
+  \http://            Access to branches exported by a web server.
+  \https://           Encrypted access to branches exported by a web server.
   ===========         ======================================================
 
 As indicated above, branches are identified using URLs with the
@@ -41,6 +42,11 @@
 tilde like so: ``sftp://example.com/~/public_html`` should map to
 ``public_html`` within your home directory.
 
+.. note:: Access over HTTP or HTTPS is read-only by default.
+   See `Pushing over the http smart server
+   <http_smart_server.html#pushing-over-the-http-smart-server>`_ for
+   details on configuring read-write access.
+
 A reminder about shared repositories
 ------------------------------------
 

